MHZ(8)

NAME
mhz - calulate processor clock rate

SYNOPSIS
mhz [-c]

DESCRIPTION
mhz calculates the processor clock rate and megahertz. It uses an unrolled, interlocked loop of adds or shifts. So far, superscalarness has been defeated on the tested processors (SuperSPARC, RIOS, Alpha).

OUTPUT
Output format is either just the clock rate as a float (-c) or more verbose

39.80 Mhz, 25 nanosec clock

mhz is described more completely in ``mhz: Anatomy of a microbenchmark'' in Proceedings of 1998 USENIX Annual Technical Conference , June 1998.

SEE ALSO
lmbench(8).

AUTHOR
Carl Staelin and Larry McVoy

Comments, suggestions, and bug reports are always welcome.